SUBDIRS = yoda .

EXTRA_DIST = yoda1/__init__.py

if ENABLE_PYEXT
PYEXT_ENV = CC="$(CXX)" CXX="$(CXX)" CXXFLAGS="$(PYEXT_CXXFLAGS)" ARCHFLAGS=""

if ENABLE_ROOT
  PYEXT_ENV += BUILD_ROOTCOMPAT="yes"
endif

all-local: build/yoda/core.so

build/yoda/core.so: build.py yoda/core.cpp yoda/rootcompat.cpp $(wildcard yoda/*.py) $(wildcard yoda/*/*.py)
	cd $(srcdir); \
	$(PYEXT_ENV) YODA_LOCAL=1 $(PYTHON) $(abs_builddir)/build.py

install-exec-local: build/yoda/core.so
	$(MKDIR_P) $(DESTDIR)$(YODA_PYTHONPATH); \
	cp -r $(abs_builddir)/build/yoda $(DESTDIR)$(YODA_PYTHONPATH)/; \
	cp -r $(abs_srcdir)/yoda1 $(DESTDIR)$(YODA_PYTHONPATH)/

uninstall-local:
	rm -rf $(DESTDIR)$(YODA_PYTHONPATH)/yoda; \
	rm -rf $(DESTDIR)$(YODA_PYTHONPATH)/yoda1

clean-local:
	rm -rf $(builddir)/build

endif
